> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete v1voiceagents prompts



## OpenAPI

````yaml https://api.comm.com/docs/api.json delete /v1/voice/agents/{agent}/prompts/{prompt}
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/agents/{agent}/prompts/{prompt}:
    delete:
      tags:
        - AgentPrompts
      operationId: voice.prompts.destroy
      parameters:
        - name: agent
          in: path
          required: true
          description: The agent ID
          schema:
            type: string
            format: uuid
        - name: prompt
          in: path
          required: true
          description: The prompt ID
          schema:
            type: string
            format: uuid
      responses:
        '204':
          description: No content
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          description: An error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error overview.
                    example: ''
                required:
                  - message
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '500':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      message:
                        type: string
                        example: Failed to delete prompt
                    required:
                      - message
                  - type: object
                    properties:
                      message:
                        type: string
                    required:
                      - message
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````